aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-crypt-x509/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2013-12-24 07:39:15 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2013-12-24 09:11:12 +0000
commit586bd6e695566bcb98e76deccaed961b9bbcb0f7 (patch)
tree8c8e163060bd27abcdaac17156b475d6b5daf8e4 /main/perl-crypt-x509/APKBUILD
parent48ae6250ce6682b4a9eb67d6650553562b10546c (diff)
downloadaports-586bd6e695566bcb98e76deccaed961b9bbcb0f7.tar.gz
aports-586bd6e695566bcb98e76deccaed961b9bbcb0f7.tar.bz2
aports-586bd6e695566bcb98e76deccaed961b9bbcb0f7.tar.xz
main/perl-crypt-x509: new aport
Diffstat (limited to 'main/perl-crypt-x509/APKBUILD')
-rw-r--r--main/perl-crypt-x509/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/perl-crypt-x509/APKBUILD b/main/perl-crypt-x509/APKBUILD
new file mode 100644
index 0000000000..8cec3a84ef
--- /dev/null
+++ b/main/perl-crypt-x509/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=perl-crypt-x509
+_pkgreal=Crypt-X509
+pkgver=0.51
+pkgrel=0
+pkgdesc="Parse a X.509 certificate"
+url="http://search.cpan.org/dist/Crypt-X509/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-convert-asn1"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AJ/AJUNG/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="aadab2960d2bd65a212d1bd7f50e282a Crypt-X509-0.51.tar.gz"
+sha256sums="0fa08246f6342cc4f6d5592ffb4a48b68a6aa49c5d65d0773769252d9ba743f3 Crypt-X509-0.51.tar.gz"
+sha512sums="3004bffe23de076a534e2aa75b8892fc8aa3cfebf1d03e177c58be4ba245f958748c68a302f8e97d2dd9fc1728c26fd08fe7b5e238acfacef6b99900bd7aa3a1 Crypt-X509-0.51.tar.gz"